package org.hisp.dhis.mobile.util;

import java.io.ByteArrayInputStream;
import java.io.ByteArrayOutputStream;
import java.io.DataInputStream;
import java.io.DataOutputStream;
import java.io.IOException;

import org.hisp.dhis.mobile.model.DataStreamSerializable;

public class SerializationUtil
{

    public static byte[] serialize( DataStreamSerializable entity )
        throws IOException
    {
        ByteArrayOutputStream bout = new ByteArrayOutputStream();
        DataOutputStream dout = new DataOutputStream( bout );
        entity.serialize( dout );
        return bout.toByteArray();
    }

    public static void deSerialize( DataStreamSerializable entity, byte[] data )
        throws IOException
    {
        ByteArrayInputStream bin = new ByteArrayInputStream( data );
        DataInputStream din = new DataInputStream( bin );

        entity.deSerialize( din );

    }

}
